# coding: utf-8

"""
    VMware Aria Automation Assembler / Service Broker API

    A multi-cloud API for Cloud Automation Services  The APIs that list collections of resources also support OData like implementation. Below query params can be used across Assembler / Service Broker entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/catalog/api/items?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/catalog/api/items?$top=10&$skip=2```  3. `page` and `size` - page used in conjunction with `$size` helps in pagination of resources.      ```/catalog/api/items?page=0&size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /catalog/api/items?$filter=startswith(name, 'Act')     /catalog/api/items?$filter=toupper(name) eq 'ACTIVATE'     /catalog/api/items?$filter=substringof('renameVM', name)     /catalog/api/items?$filter=name eq 'ABCD'  # noqa: E501

    OpenAPI spec version: 2020-08-25
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class DeploymentapiresourcesresourceIdactionsSchemaItems(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'value': 'JsonSchemaImpl',
        'singleton': 'bool'
    }

    attribute_map = {
        'value': 'value',
        'singleton': 'singleton'
    }

    def __init__(self, value=None, singleton=None):  # noqa: E501
        """DeploymentapiresourcesresourceIdactionsSchemaItems - a model defined in Swagger"""  # noqa: E501
        self._value = None
        self._singleton = None
        self.discriminator = None
        if value is not None:
            self.value = value
        if singleton is not None:
            self.singleton = singleton

    @property
    def value(self):
        """Gets the value of this DeploymentapiresourcesresourceIdactionsSchemaItems.  # noqa: E501


        :return: The value of this DeploymentapiresourcesresourceIdactionsSchemaItems.  # noqa: E501
        :rtype: JsonSchemaImpl
        """
        return self._value

    @value.setter
    def value(self, value):
        """Sets the value of this DeploymentapiresourcesresourceIdactionsSchemaItems.


        :param value: The value of this DeploymentapiresourcesresourceIdactionsSchemaItems.  # noqa: E501
        :type: JsonSchemaImpl
        """

        self._value = value

    @property
    def singleton(self):
        """Gets the singleton of this DeploymentapiresourcesresourceIdactionsSchemaItems.  # noqa: E501


        :return: The singleton of this DeploymentapiresourcesresourceIdactionsSchemaItems.  # noqa: E501
        :rtype: bool
        """
        return self._singleton

    @singleton.setter
    def singleton(self, singleton):
        """Sets the singleton of this DeploymentapiresourcesresourceIdactionsSchemaItems.


        :param singleton: The singleton of this DeploymentapiresourcesresourceIdactionsSchemaItems.  # noqa: E501
        :type: bool
        """

        self._singleton = singleton

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(DeploymentapiresourcesresourceIdactionsSchemaItems, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, DeploymentapiresourcesresourceIdactionsSchemaItems):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
